Bug 1784445 - RFE - build s3cmd for EPEL 8
Summary: RFE - build s3cmd for EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: s3cmd
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Frank Crawford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-17 13:16 UTC by Steve Traylen
Modified: 2020-01-07 00:44 UTC (History)
2 users (show)

Fixed In Version: s3cmd-2.0.2-7.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-07 00:44:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Steve Traylen 2019-12-17 13:16:15 UTC
Hi

Please can a EPEL8 build of s3cmd be created.

I verified and the current HEAD package of s3cmd can be built in a EPEL8 mock.


However the following magic has to be added to the .spec file.

# In RHEL8 python3-magic does not autoprovide its
# provisions
%if 0%{?el8}
%global __requires_exclude_from ^%{python3_sitelib}/.*$
%endif


to allow the package to actually be installed.

Probably worth noting that the 

%{?python_disable_dependency_generator}

that is already in the .spec file does nothing on EPEL.

Many Thanks

Steve.

Comment 1 Frank Crawford 2019-12-18 08:57:42 UTC
Will do, although it will probably take me a few days to get some time for it.

Comment 2 Fedora Update System 2019-12-21 06:04:19 UTC
FEDORA-EPEL-2019-f216afc271 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-f216afc271

Comment 3 Fedora Update System 2019-12-23 09:17:18 UTC
s3cmd-2.0.2-7.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-f216afc271

Comment 4 Fedora Update System 2020-01-07 00:44:17 UTC
s3cmd-2.0.2-7.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.